cURL
curl --request GET \
--url https://api.usemoonshine.com/account-infoimport requests
url = "https://api.usemoonshine.com/account-info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usemoonshine.com/account-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usemoonshine.com/account-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usemoonshine.com/account-info"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usemoonshine.com/account-info")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usemoonshine.com/account-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"user_id": "<string>",
"email": "<string>",
"total-seconds-uploaded": 123,
"pending-seconds-uploaded": 123,
"number-of-queries": 123,
"balance": 123,
"payment-history": [
{}
],
"tokens": [
{}
]
}{
"error": 123,
"message": "<string>"
}Account
Get Account Information
Returns account information for a given user ID
GET
/
account-info
cURL
curl --request GET \
--url https://api.usemoonshine.com/account-infoimport requests
url = "https://api.usemoonshine.com/account-info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usemoonshine.com/account-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usemoonshine.com/account-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usemoonshine.com/account-info"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usemoonshine.com/account-info")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usemoonshine.com/account-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"user_id": "<string>",
"email": "<string>",
"total-seconds-uploaded": 123,
"pending-seconds-uploaded": 123,
"number-of-queries": 123,
"balance": 123,
"payment-history": [
{}
],
"tokens": [
{}
]
}{
"error": 123,
"message": "<string>"
}Query Parameters
The user ID to fetch account information for
Response
Account information response
User's unique identifier
User's email address
Total seconds of video uploaded
Seconds of video pending processing
Number of queries made
Account balance
History of payments
User tokens
⌘I